## org.apache.axis.client
Class HappyClient

    java.lang.Object
      org.apache.axis.client.HappyClient

public class HappyClient
extends java.lang.Object

Client side equivalent of happyaxis

Constructor Summary
`HappyClient(java.io.PrintStream out)`

Method Summary
`int` `getJavaVersionNumber()` calculate the java version number by probing for classes; this tactic works across many jvm implementations; taken from Ant.
`static void` `main(java.lang.String[] args)` public happiness test.
`boolean` `verifyClientIsHappy(boolean warningsAsErrors)` Audit the client, print out status

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HappyClient

    public HappyClient(java.io.PrintStream out)

Method Detail

### getJavaVersionNumber

    public int getJavaVersionNumber()

  calculate the java version number by probing for classes; this tactic works across many jvm implementations; taken from Ant.

  Returns:
    JRE version as 10,11,12,13,14,...

### verifyClientIsHappy

    public boolean verifyClientIsHappy(boolean warningsAsErrors)
                                throws java.io.IOException

  Audit the client, print out status

  Parameters:
    `warningsAsErrors` - should any warning result in failure?
  Returns:
    true if we are happy
  Throws:
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)

  public happiness test. Exits with -1 if the client is unhappy.

  Parameters:
    `args` - a list of extra classes to look for

Copyright © 2005 Apache Web Services Project. All Rights Reserved.